# Own Food Item

### Required Arguments

| Argument Name | Type   | Description                                                                                                                               |
| ------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------- |
| `id`          | string | Own food item ID. Use the [`ownFoodItems` ](https://docs.suggestic.com/graphql/query/queries/food-log/own-food-items)query to get the ID. |

### Available Fields

The following fields are displayed in the response:

| Field Name        | Type                                                                                  | Description                                                                                       |
| ----------------- | ------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------- |
| `id`              | String                                                                                | Own Food item ID                                                                                  |
| `databaseId`      | DatabaseId                                                                            | DatabaseId of the own food item                                                                   |
| `name`            | String                                                                                | Name of the logged item                                                                           |
| `quantity`        | Float                                                                                 | Quantity of logged servings                                                                       |
| `nutritionalInfo` | [nutritionalInfo](https://docs.suggestic.com/graphql/objects/recipe/nutritional-info) | An object that contains the nutritional values of the associated food per each gram of that food. |

{% tabs %}
{% tab title="Query" %}

```graphql
{
  ownFoodItem(id: "TWVhbExvZzo5YzBlNjBlZS02YTc3LTExZWItOGY0Ni0zMjRmNmJiMTI2YzE=") {
    id
    databaseId
    name
    quantity
    nutritionalInfo {
      calories
      fat
      protein
      carbs
    }
  }
}

```

{% endtab %}

{% tab title="Response" %}

```javascript
{
  "data": {
    "ownFoodItem": {
      "id": "TWVhbExvZzo5YzBlNjBlZS02YTc3LTExZWItOGY0Ni0zMjRmNmJiMTI2YzE=",
      "databaseId": "9c0e60ee-6a77-11eb-8f46-324f6bb126c1",
      "name": "Planters delux",
      "quantity": 1,
      "nutritionalInfo": {
        "calories": 6.07,
        "fat": 0.5,
        "protein": 0.18,
        "carbs": 0.25
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/food-log/legacy/own-food-item.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
